language: go

go:
  - 1.9.x
  - 1.10.x

services:
  - rabbitmq

env:
 - AMQP_URL=amqp://guest:guest@127.0.0.1:5672/

before_install:
  - go get -v github.com/golang/lint/golint

script:
  - ./pre-commit
  - go test -cpu=1,2 -v -tags integration ./...
